<div *ngIf="vm$ | async as vm" class="vm">
  <ng-container *transloco="let t">
    <mat-card class="card">
      <mat-toolbar color="primary">
        {{ t('title') }}
        <div style="flex: 1"></div>
        <mat-icon
          [matBadge]="vm.notPurchasedGroceries.length"
          [matBadgeHidden]="!vm.notPurchasedGroceries.length"
          matBadgeColor="warn"
        >
          fact_check
        </mat-icon>
      </mat-toolbar>

      <mat-card-content>
        <grocery-list
          [groceries]="vm.notPurchasedGroceries"
          class="notPurchased"
        >
          <div class="create-grocery-container">
            <grocery-create></grocery-create>
          </div>
        </grocery-list>

        <ng-container *ngIf="vm.purchasedGroceries.length">
          <mat-divider></mat-divider>
          <div mat-subheader class="purchasedTitle">
            {{ t('purchasedTitle', { count: vm.purchasedGroceries.length }) }}
          </div>
          <grocery-list [groceries]="vm.purchasedGroceries"></grocery-list>
        </ng-container>
      </mat-card-content>
    </mat-card>
  </ng-container>
</div>
